Skip to main content
GET
/
accounts
/
{aid}
/
shopping
/
orders
/
{order_id}
/
sessions
/
{session_id}
Get Session details
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions/{session_id} \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "line_id": "<string>",
      "amount": 27840
    }
  ],
  "id": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "amount": 27840,
  "processed_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "_links": [
    {
      "href": "<string>",
      "rel": "draft"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
order_id
string
required

The resource identifier string

session_id
string
required

The resource identifier string

Response

session

items
object[]
required

Selected items from the order

id
string

The resource ID. Defaults to UUID v4

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string

The ID of the user/client created the resource

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

amount
integer
read-only

Monetary amount in smallest unit for the currency success: description: | The result from the operation. type: boolean

Example:

27840

processed_at
string<date-time>

The date and time when the capture was processed by payment gateway

metadata
object

Additional details about the operation

The links related to resource